Summary: Initial CERN system configuration 'hack'
Name: lcm-firstboot
Version: 1
Release: 6.slc6
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN
License: GPL
BuildArch: noarch
ExclusiveOS: Linux
Requires: yum-autoupdate, yum >= 2.4.1 , yum-conf 
Requires: lcm, firstboot
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Source0: %{name}-%{version}.tar
Source1: lcm-firstboot-cern_customize.py
Obsoletes: cern-preconfig

%description
The lcm-firstboot utility runs after firstboot 
(when the machine is booted for the first time)

It presets system to site configuration 
setup accordingly with what user have choosen
during firstboot execution.

%prep
%setup -q

%build

%install

mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/firstboot/modules

cp lcm-firstboot $RPM_BUILD_ROOT/usr/sbin/
cp lcm-firstboot.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/lcm-firstboot
cp lcm-firstboot.init.d $RPM_BUILD_ROOT/etc/init.d/lcm-firstboot
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/firstboot/modules/cern_customize.py

%clean
rm -rf $RPM_BUILD_ROOT

%post
#hook for starting up afs & acquiring srvtab 
#plus aplying all options
#just after firstboot ends
/sbin/chkconfig --add lcm-firstboot

/bin/rm -f /usr/share/firstboot/modules/rhn_activate_gui* || :
/bin/rm -f /usr/share/firstboot/modules/rhn_choose_org_gui* || :
/bin/rm -f /usr/share/firstboot/modules/rhn_create_profile_gui* || :
/bin/rm -f /usr/share/firstboot/modules/rhn_finish_gui* || :
/bin/rm -f /usr/share/firstboot/modules/rhn_login_gui* || :
/bin/rm -f /usr/share/firstboot/modules/rhn_provide_certificate_gui* || :
/bin/rm -f /usr/share/firstboot/modules/rhn_register_firstboot_gui_window* || :
/bin/rm -f /usr/share/firstboot/modules/rhn_review_gui* || :
/bin/rm -f /usr/share/firstboot/modules/rhn_start_gui* || :

%preun
if [ $1 -eq 0 ]; then
/sbin/chkconfig --del lcm-firstboot
fi

%files 
%defattr(-,root,root)
%config(noreplace) /etc/sysconfig/lcm-firstboot
/usr/sbin/lcm-firstboot
/etc/init.d/lcm-firstboot
/usr/share/firstboot/modules/cern_customize.p*
%doc README example.sysconfig

%changelog
* Fri Sep 05 2008 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- first SLC5 try ..

* Wed Oct 25 2006 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- fix for AFS client not starting when required to...

* Thu Mar  2 2006 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- Use yum everywhere on slc4

* Thu Feb 17 2005 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- use yum on 64bit archs
* Fri Oct 15 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- updated for additional components
* Wed Jun 30 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- added firstboot module
* Tue Jun 29 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- fixed to use apt-autoupdate not apt-cern 
* Thu Mar 11 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- relocated to /usr/sbin , adapted for ncm-ncd-1.1
* Sun Mar 7 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- initial build
